Bug 1565244 - [abrt] gnome-shell: INT_cairo_image_surface_get_height(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: INT_cairo_image_surface_get_height(): gnome-shell killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:755702ba767feb9163569bb7b4c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 17:40 UTC by Jean-Pierre Bluteau
Modified: 2019-12-03 13:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:56:42 UTC
Type: ---
jean-pierre.bluteau: needinfo-


Attachments (Terms of Use)
File: backtrace (77.93 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: cgroup (195 bytes, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: core_backtrace (40.22 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: cpuinfo (1.92 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: dso_list (5.63 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: environ (2.06 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: exploitable (112 bytes, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: maps (144.17 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: mountinfo (4.18 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: open_fds (42.23 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details
File: var_log_messages (3.34 KB, text/plain)
2018-04-09 17:41 UTC, Jean-Pierre Bluteau
no flags Details

Description Jean-Pierre Bluteau 2018-04-09 17:40:55 UTC
Description of problem:
Click on background color selector when creating an adaptative launcher icon.

Version-Release number of selected component:
gnome-shell-3.26.2-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: INT_cairo_image_surface_get_height
executable:     /usr/bin/gnome-shell
journald_cursor: s=9d3da6d0573a4d0ca144e41bcce30933;i=12139;b=2ff56006444f4d4e8fe0eee084cef6ae;m=206cab1bd;t=5696dbef0211f;x=d53a5b2554eb7772
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 INT_cairo_image_surface_get_height at cairo-image-surface.c:636
 #1 write_screenshot_thread at ../src/shell-screenshot.c:192
 #2 g_task_thread_pool_thread at gtask.c:1328
 #4 g_thread_proxy at gthread.c:784

Comment 1 Jean-Pierre Bluteau 2018-04-09 17:41:00 UTC
Created attachment 1419467 [details]
File: backtrace

Comment 2 Jean-Pierre Bluteau 2018-04-09 17:41:01 UTC
Created attachment 1419468 [details]
File: cgroup

Comment 3 Jean-Pierre Bluteau 2018-04-09 17:41:02 UTC
Created attachment 1419469 [details]
File: core_backtrace

Comment 4 Jean-Pierre Bluteau 2018-04-09 17:41:03 UTC
Created attachment 1419470 [details]
File: cpuinfo

Comment 5 Jean-Pierre Bluteau 2018-04-09 17:41:05 UTC
Created attachment 1419471 [details]
File: dso_list

Comment 6 Jean-Pierre Bluteau 2018-04-09 17:41:06 UTC
Created attachment 1419472 [details]
File: environ

Comment 7 Jean-Pierre Bluteau 2018-04-09 17:41:07 UTC
Created attachment 1419473 [details]
File: exploitable

Comment 8 Jean-Pierre Bluteau 2018-04-09 17:41:08 UTC
Created attachment 1419474 [details]
File: limits

Comment 9 Jean-Pierre Bluteau 2018-04-09 17:41:09 UTC
Created attachment 1419475 [details]
File: maps

Comment 10 Jean-Pierre Bluteau 2018-04-09 17:41:10 UTC
Created attachment 1419476 [details]
File: mountinfo

Comment 11 Jean-Pierre Bluteau 2018-04-09 17:41:12 UTC
Created attachment 1419477 [details]
File: open_fds

Comment 12 Jean-Pierre Bluteau 2018-04-09 17:41:13 UTC
Created attachment 1419478 [details]
File: proc_pid_status

Comment 13 Jean-Pierre Bluteau 2018-04-09 17:41:14 UTC
Created attachment 1419479 [details]
File: var_log_messages

Comment 14 Adam Williamson 2018-04-11 23:04:17 UTC
Well, the issue here, to me, is that cairo_image_surface_get_height with the argument as null:

#0  INT_cairo_image_surface_get_height (surface=0x0) at cairo-image-surface.c:636
        image_surface = 0x0

I don't think that's valid, and cairo doesn't expect it. But the question is, how'd that happen?

I don't quite understand your description here: you say you were "creating an adaptative launcher icon", but what were you doing that in? What application?

Thanks!

Comment 15 Ben Cotton 2018-11-27 16:13:58 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 20:56:42 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Jean-Pierre Bluteau 2019-12-03 13:48:41 UTC
I was doing Android works at the time and the issue was when creating an icon in Android Studio like explained there https://developer.android.com/guide/practices/ui_guidelines/icon_design_adaptive.


Note You need to log in before you can comment on or make changes to this bug.